QGIS Application - Bug report #14855

Strange result when hillshading with Z-factor=10 in the "Terrain Analysis" core plugin

2016-05-22 02:48 AM - Lene Fischer

Status: Closed

Priority: Normal

Assignee:

Category: Analysis library

Affected QGIS version:2.14.2 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 22808
Description

| create a Hillsade from Raster>Terrain analysis>Hillshade.
Using parameter Z-factor 10

Azimuth 315

Vertical angle 45

| get a grey/dull/flatten image

If | change the Z-factor to 1. | get the same result, just a bit lighter color.

Using the same function from Processing>GDAL | get a 'useful' image

History

#1 - 2016-05-22 03:42 AM - Giovanni Manghi
- Category changed from Rasters to 119
- Priority changed from High to Normal

Hi Lene, could you attach sample data to allow replicate here? thanks!

#2 - 2016-05-22 11:53 PM - Saber Razmjooei
- Status changed from Open to Feedback

Lene,

Is your Z value in the same unit as your x and y. For example, this happens if you try to scale lat/long raster rasters.

#3 - 2016-05-23 12:02 AM - Lene Fischer

Yes same value.
Utm 32 N EPSG 25832 for x,y and meter for Z-coordinate.

The files are to big to attach here. | try to upload to my webpage and insert a link here later.

#4 - 2016-05-23 12:42 AM - Lene Fischer

Link to data http://ku-gis.dk/blog/wp-content/uploads/2016/05/dtm _1km_ 6183 693.zip
http://ku-gis.dk/blog/wp-content/uploads/2016/05/dtm_1km_6183_693.zip

| have the same issue for single files.

#5 - 2016-05-23 01:04 AM - Giovanni Manghi

Lene Fischer wrote:

Link to data http://ku-gis.dk/blog/wp-content/uploads/2016/05/dtm_1km 6183 _693.zip

I have the same issue for single files.

| guess this is sample data about the ticket for raster min/max values (#14835) and not this one, correct?

#6 - 2016-05-23 01:05 AM - Lene Fischer

| use the same data for both tickets.

#7 - 2016-05-23 01:08 AM - Giovanni Manghi

Lene Fischer wrote:

| use the same data for both tickets.

what is the file you used to hillshade and that gave you the results you attached as jpg in the original description?

#8 - 2016-05-23 01:10 AM - Lene Fischer

From the the files in the link | made a VRT file.
You can also use just a single file.

#9 - 2016-05-23 01:17 AM - Giovanni Manghi

- Subject changed from Hillshade - Z values load to Strange result when hillshading with Z-factor=10 in the "Terrain Analysis" core plugin

- Status changed from Feedback to Open

#10 - 2017-01-02 01:11 AM - Giovanni Manghi
- Category changed from 119 to Analysis library

#11 - 2017-01-02 01:27 AM - Giovanni Manghi
- Target version changed from Version 2.14 to Version 3.0

#12 - 2017-05-01 01:05 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#13 - 2019-01-27 07:32 PM - Alexander Bruy

- Status changed from Open to Feedback
- Description updated
http://ku-gis.dk/blog/wp-content/uploads/2016/05/dtm_1km_6183_693.zip

- Operating System deleted (Windows 64 bit)

Just tested with master and got correct results. Can you test again?

#14 - 2019-02-10 09:08 AM - Alexander Bruy
- Status changed from Feedback to Closed

- Resolution set to worksforme

Files
hillshade10_GDAL.JPG 245 KB 2016-05-22 Lene Fischer
hillshade10_core.JPG 49.7 KB 2016-05-22 Lene Fischer
